org.hibernate.validator.internal.engine.messageinterpolation.el

## Class SimpleELContext

- java.lang.Object
- - javax.el.ELContext
  - - org.hibernate.validator.internal.engine.messageinterpolation.el.SimpleELContext

-     public class SimpleELContext
      extends ELContext

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleELContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ELResolver` | `getELResolver()`
    `MapBasedFunctionMapper` | `getFunctionMapper()`
    `VariableMapper` | `getVariableMapper()`
    `void` | `setFunction(String prefix, String localName, Method method)`
    `ValueExpression` | `setVariable(String name, ValueExpression expression)`

    - ### Methods inherited from class javax.el.ELContext

      `getContext, getLocale, isPropertyResolved, putContext, setLocale, setPropertyResolved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleELContext

          public SimpleELContext()

  - ### Method Detail

    - #### getELResolver

          public ELResolver getELResolver()

      Specified by:
        `getELResolver` in class `ELContext`

    - #### getFunctionMapper

          public MapBasedFunctionMapper getFunctionMapper()

      Specified by:
        `getFunctionMapper` in class `ELContext`

    - #### getVariableMapper

          public VariableMapper getVariableMapper()

      Specified by:
        `getVariableMapper` in class `ELContext`

    - #### setVariable

          public ValueExpression setVariable(String name,
                                    ValueExpression expression)

    - #### setFunction

          public void setFunction(String prefix,
                         String localName,
                         Method method)

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved